Package org.apache.sysds.runtime.ooc.cache

# Enum Class BlockState

java.lang.Object
java.lang.Enum<BlockState>
org.apache.sysds.runtime.ooc.cache.BlockState

All Implemented Interfaces:
  `Serializable`, `Comparable<BlockState>`, `Constable`

public enum BlockState extends Enum<BlockState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COLD`
`EVICTING`
`HOT`
`READING`
`REMOVED`
`WARM`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAvailable()`
`boolean`
`isBackedByDisk()`
`boolean`
`isUnavailable()`
`boolean`
`readScheduled()`
`static BlockState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlockState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HOT

public static final BlockState HOT

### WARM

public static final BlockState WARM

### EVICTING

public static final BlockState EVICTING

### READING

public static final BlockState READING

### COLD

public static final BlockState COLD

### REMOVED

public static final BlockState REMOVED

## Method Details

### values

public static BlockState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BlockState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isAvailable

public boolean isAvailable()

### isUnavailable

public boolean isUnavailable()

### readScheduled

public boolean readScheduled()

### isBackedByDisk

public boolean isBackedByDisk()